Appearance
Time entries
8 endpoints at a glance
| Method | Path | Summary |
|---|---|---|
POST | /tasks/{task_id}/timer/start | Start Timer |
POST | /tasks/{task_id}/timer/stop | Stop Timer |
POST | /time-entries | Create Manual |
DELETE | /time-entries/{entry_id} | Delete Entry |
PATCH | /time-entries/{entry_id} | Update Entry |
GET | /time-entries/for-task | List For Task |
GET | /time-entries/running | Get Running |
GET | /time-entries/totals/project/{project_id} | Project Totals |
time-entries
Get Running
List For Task
Project Totals
Create Manual
Delete Entry
Update Entry
Start Timer
Stop Timer
POST
/tasks/{task_id}/timer/stop
Stop the running timer on this task (if it's the user's).
Returns the stopped entry. 404 if no running timer is on this task.
Parameters
Header Parameters
authorization
Path Parameters
task_id*
Type
Requiredstring
Responses
Successful Response
application/json
JSON "additionalProperties": "string"
{
}